import type { PropType } from 'vue';
import type { WidgetData } from '@widget-js/core';
import { WidgetParams } from '@widget-js/core';
import type * as CSS from 'csstype';
import { WidgetConfigOption } from '../../model/WidgetConfigOption';
declare const _sfc_main: import("vue").DefineComponent<{
    /**
     *  @see WidgetData
     */
    modelValue: {
        type: PropType<WidgetData>;
        required: true;
    };
    /**
     * label width
     */
    labelWidth: {
        type: StringConstructor;
    };
    /**
     * widget params, typically from url.
     * @see WidgetParams
     */
    widgetParams: {
        type: typeof WidgetParams;
        required: true;
    };
    /**
     * widget config option.
     */
    option: {
        type: typeof WidgetConfigOption;
        required: true;
    };
}, {
    activeName: import("vue").Ref<string>;
    widgetTheme: {
        borderRadius?: CSS.Property.BorderRadius<0 | (string & {})> | undefined;
        backgroundColor?: CSS.Property.Color | undefined;
        fontSize?: CSS.Property.FontSize<0 | (string & {})> | undefined;
        dividerColor?: CSS.Property.Color | undefined;
        primaryColor?: CSS.Property.Color | undefined;
        color?: CSS.Property.Color | undefined;
        fontFamily?: CSS.Property.FontFamily | undefined;
        shadowColor?: CSS.Property.Color | undefined;
        padding?: CSS.Property.Padding<0 | (string & {})> | undefined;
        borderColor?: CSS.Property.BorderColor | undefined;
    };
}, unknown, {
    windowTitle(): any;
}, {
    onCancelClick(): void;
    updateModel(): void;
    onApplyClick(): void;
    onConfirmClick(): void;
}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("update:modelValue" | "confirm" | "cancel" | "apply")[], "update:modelValue" | "confirm" | "cancel" | "apply", import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    /**
     *  @see WidgetData
     */
    modelValue: {
        type: PropType<WidgetData>;
        required: true;
    };
    /**
     * label width
     */
    labelWidth: {
        type: StringConstructor;
    };
    /**
     * widget params, typically from url.
     * @see WidgetParams
     */
    widgetParams: {
        type: typeof WidgetParams;
        required: true;
    };
    /**
     * widget config option.
     */
    option: {
        type: typeof WidgetConfigOption;
        required: true;
    };
}>> & {
    "onUpdate:modelValue"?: ((...args: any[]) => any) | undefined;
    onConfirm?: ((...args: any[]) => any) | undefined;
    onCancel?: ((...args: any[]) => any) | undefined;
    onApply?: ((...args: any[]) => any) | undefined;
}, {}, {}>;
export default _sfc_main;
//# sourceMappingURL=WidgetEditDialog.vue.d.ts.map