import type { PropType } from 'vue';
import type * as CSS from 'csstype';
import type { WidgetThemeOption } from '../../model/WidgetConfigOption';
declare const _sfc_main: import("vue").DefineComponent<{
    themeOption: {
        type: PropType<WidgetThemeOption>;
        required: true;
    };
    fontSize: {
        type: PropType<CSS.Property.FontSize<0 | (string & {})> | undefined>;
    };
    borderRadius: {
        type: PropType<CSS.Property.FontSize<0 | (string & {})> | undefined>;
    };
    dividerColor: {
        type: StringConstructor;
    };
    color: {
        type: StringConstructor;
    };
    primaryColor: {
        type: StringConstructor;
    };
    backgroundColor: {
        type: StringConstructor;
    };
}, {
    props: any;
    emits: (event: "update:modelValue" | "update:fontSize" | "update:dividerColor" | "update:color" | "update:borderRadius" | "update:primaryColor" | "update:backgroundColor", ...args: any[]) => void;
    fontSize: import("vue").Ref<CSS.Property.FontSize<0 | (string & {})> | undefined>;
    dividerColor: import("vue").Ref<string | undefined>;
    color: import("vue").Ref<string | undefined>;
    primaryColor: import("vue").Ref<string | undefined>;
    backgroundColor: import("vue").Ref<string | undefined>;
    borderRadius: import("vue").Ref<CSS.Property.FontSize<0 | (string & {})> | undefined>;
    borderRadiusNumber: import("vue").WritableComputedRef<number>;
    fontSizeNumber: import("vue").WritableComputedRef<number>;
    predefineDividerColor: string[];
    WidgetSliderField: import("vue").DefineComponent<{
        title: {
            type: StringConstructor;
            default: string;
        };
        modelValue: {
            type: NumberConstructor;
        };
        max: {
            type: NumberConstructor;
            default: number;
        };
        min: {
            type: NumberConstructor;
            default: number;
        };
        showInput: {
            type: BooleanConstructor;
            default: boolean;
        };
    }, {
        props: any;
        emits: (event: "update:modelValue", ...args: any[]) => void;
        model: import("vue").Ref<number | undefined> | import("vue").WritableComputedRef<number | undefined>;
    }, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "update:modelValue"[], "update:modelValue", import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
        title: {
            type: StringConstructor;
            default: string;
        };
        modelValue: {
            type: NumberConstructor;
        };
        max: {
            type: NumberConstructor;
            default: number;
        };
        min: {
            type: NumberConstructor;
            default: number;
        };
        showInput: {
            type: BooleanConstructor;
            default: boolean;
        };
    }>> & {
        "onUpdate:modelValue"?: ((...args: any[]) => any) | undefined;
    }, {
        title: string;
        max: number;
        min: number;
        showInput: boolean;
    }, {}>;
    WidgetColorField: import("vue").DefineComponent<{
        title: {
            type: StringConstructor;
            default: string;
        };
        modelValue: {
            type: StringConstructor;
            default: string;
        };
        predefine: {
            type: {
                (arrayLength: number): string[];
                (...items: string[]): string[];
                new (arrayLength: number): string[];
                new (...items: string[]): string[];
                isArray(arg: any): arg is any[];
                readonly prototype: any[];
                from<T>(arrayLike: ArrayLike<T>): T[];
                from<T_1, U>(arrayLike: ArrayLike<T_1>, mapfn: (v: T_1, k: number) => U, thisArg?: any): U[];
                from<T_2>(iterable: Iterable<T_2> | ArrayLike<T_2>): T_2[];
                from<T_3, U_1>(iterable: Iterable<T_3> | ArrayLike<T_3>, mapfn: (v: T_3, k: number) => U_1, thisArg?: any): U_1[];
                of<T_4>(...items: T_4[]): T_4[];
                readonly [Symbol.species]: ArrayConstructor;
            };
        };
    }, {
        props: any;
        emits: (event: "update:modelValue", ...args: any[]) => void;
        predefineColors: import("vue").Ref<string[]>;
        colorModel: import("vue").Ref<string> | import("vue").WritableComputedRef<string>;
        colorClick: (color: string) => void;
    }, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "update:modelValue"[], "update:modelValue", import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
        title: {
            type: StringConstructor;
            default: string;
        };
        modelValue: {
            type: StringConstructor;
            default: string;
        };
        predefine: {
            type: {
                (arrayLength: number): string[];
                (...items: string[]): string[];
                new (arrayLength: number): string[];
                new (...items: string[]): string[];
                isArray(arg: any): arg is any[];
                readonly prototype: any[];
                from<T>(arrayLike: ArrayLike<T>): T[];
                from<T_1, U>(arrayLike: ArrayLike<T_1>, mapfn: (v: T_1, k: number) => U, thisArg?: any): U[];
                from<T_2>(iterable: Iterable<T_2> | ArrayLike<T_2>): T_2[];
                from<T_3, U_1>(iterable: Iterable<T_3> | ArrayLike<T_3>, mapfn: (v: T_3, k: number) => U_1, thisArg?: any): U_1[];
                of<T_4>(...items: T_4[]): T_4[];
                readonly [Symbol.species]: ArrayConstructor;
            };
        };
    }>> & {
        "onUpdate:modelValue"?: ((...args: any[]) => any) | undefined;
    }, {
        title: string;
        modelValue: string;
    }, {}>;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("update:modelValue" | "update:fontSize" | "update:dividerColor" | "update:color" | "update:borderRadius" | "update:primaryColor" | "update:backgroundColor")[], "update:modelValue" | "update:fontSize" | "update:dividerColor" | "update:color" | "update:borderRadius" | "update:primaryColor" | "update:backgroundColor", import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    themeOption: {
        type: PropType<WidgetThemeOption>;
        required: true;
    };
    fontSize: {
        type: PropType<CSS.Property.FontSize<0 | (string & {})> | undefined>;
    };
    borderRadius: {
        type: PropType<CSS.Property.FontSize<0 | (string & {})> | undefined>;
    };
    dividerColor: {
        type: StringConstructor;
    };
    color: {
        type: StringConstructor;
    };
    primaryColor: {
        type: StringConstructor;
    };
    backgroundColor: {
        type: StringConstructor;
    };
}>> & {
    "onUpdate:modelValue"?: ((...args: any[]) => any) | undefined;
    "onUpdate:fontSize"?: ((...args: any[]) => any) | undefined;
    "onUpdate:dividerColor"?: ((...args: any[]) => any) | undefined;
    "onUpdate:color"?: ((...args: any[]) => any) | undefined;
    "onUpdate:borderRadius"?: ((...args: any[]) => any) | undefined;
    "onUpdate:primaryColor"?: ((...args: any[]) => any) | undefined;
    "onUpdate:backgroundColor"?: ((...args: any[]) => any) | undefined;
}, {}, {}>;
export default _sfc_main;
//# sourceMappingURL=WidgetThemeForm.vue.d.ts.map